Subject: RE: [Sip] Can NOTIFY request fork ?

From: Adam Roach <[email-masked]>
Date: Mon, 1 Apr 2002 16:19:30 -0500

From a purely theoretical point of view, the
question, "can I form a NOTIFY such that an
appropriately configured forking proxy will
be induced to fork it," the answer is "yes."
And, if you do so, you get what you deserve.

I contend that any network in which a NOTIFY
*does* fork has at least one misbehaving node.

More to the point: any mechanism that creates a
subscription without using SIP signalling is
completely responsible to make sure that the NOTIFY
requests are sent to one, and exactly one, subscriber.
I strongly suspect that any event package that
does not adequately address this issue will be laughed
out of the room if presented to any SIP-related
working group (as, indeed, it must for IANA
registration of a package name).

Look over the loose-routing stuff in the most recent
SIP spec if you intend to implement such a mechanism.
Note that this is not a trivial problem to solve, which
is why the sip-events document does not attempt to
specify how to address it.

/a

> -----Original Message-----
> From: Francois Lessing [mailto:[email-masked]]
> Sent: Saturday, March 30, 2002 14:49
> To: SIP mailing list
> Subject: [Sip] Can NOTIFY request fork ?
> 
> 
> Hi,
> 
> I have been looking at non-SUBSCRIBE  mechanisms to create
> subscriptions and it seems that the use of such mechanisms mandates
> the possibility of forking behavior for NOTIFY requests.
> 
> My reasoning is as follows:
> The draft allows for non-SUBSCRIBE mechanisms to create
> subscriptions.
> 
> This means that a NOTIFY request has to be sent without a
> dialog being estblished (or at least one cannot assume that
> the user defined mechnism will create a dialog).
> 
> If the NOTIFY has to be sent without a dialog being established,
> a proxy may fork the request.
> 
> Is there something I missed ?
> 
> --
> Francois Lessing
> Trillium Digital Systems, a division of Intel Corporation
> Los Angeles, USA
> Tel: +1 310 481 5937
> Fax: +1 310 481 5558
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip